Page MenuHomePhabricator

Scrolling to lead paragraph doesn't work on pages with no headings
Closed, ResolvedPublic

Description

Scrolling to lead paragraph doesn't work on pages with no headings.

Compare these two pages, where the first has no headings, and the second has a "Sources" heading near the end:

After tapping the edit pencil, you see the lead paragraph in the first, but you see the infobox in the second:

Event Timeline

matmarex created this task.Jul 7 2020, 6:44 PM
Restricted Application added a project: VisualEditor. · View Herald TranscriptJul 7 2020, 6:44 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript

Change 610136 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/MobileFrontend@master] Fix scrolling to lead paragraph when there are no sections

https://gerrit.wikimedia.org/r/610136

Change 610138 had a related patch set uploaded (by Bartosz Dziewoński; owner: Bartosz Dziewoński):
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: Double-check that section is not 'undefined'

https://gerrit.wikimedia.org/r/610138

Change 610138 merged by jenkins-bot:
[mediawiki/extensions/VisualEditor@master] MobileArticleTarget: Double-check that section is not 'undefined'

https://gerrit.wikimedia.org/r/610138

Change 610136 merged by jenkins-bot:
[mediawiki/extensions/MobileFrontend@master] Fix scrolling to lead paragraph when there are no sections

https://gerrit.wikimedia.org/r/610136

matmarex moved this task from Code Review to QA on the Editing-team (Q3 2019-2020 Kanban Board) board.
JTannerWMF moved this task from To Triage to Triaged on the VisualEditor board.Jul 14 2020, 3:32 PM
ppelberg moved this task from Inbox to Low Priority on the Editing QA board.Oct 1 2020, 11:19 PM
JTannerWMF closed this task as Resolved.Nov 25 2020, 6:35 PM
Restricted Application added a project: User-Ryasmeen. · View Herald TranscriptNov 25 2020, 6:35 PM